Subject: bug#5404: 23.1.91; Nextstep port: M-x gdb hangs in tab completion of symbols

From: Steve Revilak <[email-masked]>
Date: Mon, 18 Jan 2010 20:52:22 -0500

>From: Nick Roberts <[email-masked]>

>You could also download and compile FSF Gdb on Mac (I can't remember if you
>already have) and try that.

Nick,

Unfortunately, I didn't have much luck with the FSF gdb.

On my PowerPC Mac (Mac OS X 10.4.11), gdb's top-level ./configure
script tells me

   *** This configuration is not supported in the following subdirectories:
       bfd opcodes gdb sim
       (Any other directories should still work fine.)

and doesn't generate a gdb/Makefile.

Running ./gdb/configure fails with

   configure: error: "*** Gdb does not support native target powerpc-apple-darwin8.11.0"

I see these results with gdb-7.0.1, gdb-7.0, and every gdb-6.x release
back through 6.2.

On my Intel Mac (Mac OS X 10.6.2), gdb-7.0.1's configure generates a
gdb/Makefile, but the compilation fails.  Likewise for gdb-7.0.
gdb-6.x tells me that

  configure: error: "*** Gdb does not support native target i386-apple-darwin10.2.0"

It looks like I'm stuck with Apple's gdb.

Steve